module JamRuby
  class MobileRecording < JsonStore

    # this class keeps backups of mobile recording jobs
    belongs_to :recording, class_name: 'JamRuby::Recording', foreign_key: :foreign_key1_id

    has_one :mobile_recording_upload,
            class_name: 'JamRuby::MobileRecordingUpload',
            foreign_key: :mobile_recording_id

  end
end
